Skip to main content
GET
/
v1
/
v2
/
conversations
List v2 conversations
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/v2/conversations \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "end_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channel": "<string>",
      "message_count": 123,
      "started_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "external_session_id": "<string>",
      "session_type": "live",
      "subject": "<string>",
      "assigned_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "retention_policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "summary": "<string>",
      "metadata": {},
      "context_variables": {},
      "first_message_at": "2023-11-07T05:31:56Z",
      "last_message_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "closed_at": "2023-11-07T05:31:56Z",
      "ttl_expires_at": "2023-11-07T05:31:56Z",
      "retention_expires_at": "2023-11-07T05:31:56Z",
      "archived_at": "2023-11-07T05:31:56Z",
      "memory_synced": false,
      "duration_ms": 123,
      "summary_preview": "<string>",
      "has_recording": false,
      "eval_summary": {
        "total": 0,
        "succeeded": 0,
        "failed": 0,
        "pending": 0,
        "critical_total": 0,
        "critical_succeeded": 0,
        "critical_failed": 0,
        "critical_pending": 0,
        "eval_status": "none"
      }
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

status
string | null
channel
string | null
end_user_id
string<uuid> | null
assigned_agent_id
string<uuid> | null
priority
string | null
started_after
string<date-time> | null

Lower-bound (inclusive) on conversation started_at.

started_before
string<date-time> | null

Upper-bound (inclusive) on conversation started_at.

q
string | null

Case-insensitive substring match on subject/summary.

eval_filter
enum<string> | null
Available options:
has_evals,
no_evals,
all_passed,
any_failed
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
SessionResponse · object[]
required
has_more
boolean
required
next_cursor
string | null